# Utiliser une image Node.js officielle comme base
FROM node:18-alpine

# Créer le répertoire de travail dans le conteneur
WORKDIR /app

# Copier les fichiers de dépendances
COPY package*.json ./

# Installer les dépendances
RUN npm install

# Copier le reste des fichiers de l'application
COPY . .

# Créer le dossier public s'il n'existe pas
RUN mkdir -p public

# Exposer le port sur lequel l'application s'exécute
EXPOSE 2106

# Commande pour démarrer l'application
CMD ["node", "server.js"]